Bug 976766 - JCR - Sybase 15.7 - error "Repository data is NOT consistent"
JCR - Sybase 15.7 - error "Repository data is NOT consistent"
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity unspecified
: DR01
: 6.1.1
Assigned To: Boleslaw Dawidowicz
:
Depends On:
Blocks: 1195780
  Show dependency treegraph
 
Reported: 2013-06-21 07:56 EDT by mgottval
Modified: 2015-02-24 09:46 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A bug in the JCR caused issues with repository data consistency in Sybase 15.7 databases. The fix implements improvements in the JCR code that correct the original issue.
Story Points: ---
Clone Of:
: 1195780 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mgottval 2013-06-21 07:56:39 EDT
Error in 3 tests (testCheckDataBase, testCheckAll, testCheckIndex ) in class: org.exoplatform.services.jcr.impl.storage.jdbc.TestRepositoryCheckController

junit.framework.AssertionFailedError: Expected result is "Repository data is consistent", but report is "Repository data is NOT consistent. See full report by path /mnt/hudson_workspace/workspace/epp6-exo-jcr-sybase15.7/jcr-1.15.3-GA/exo.jcr.component.core/report-db1-20-Jun-13-09-28.txt"
	at junit.framework.Assert.fail(Assert.java:50)
	at org.exoplatform.services.jcr.impl.storage.jdbc.TestRepositoryCheckController.assertResult(TestRepositoryCheckController.java:1328)
	at org.exoplatform.services.jcr.impl.storage.jdbc.TestRepositoryCheckController.testCheckAll(TestRepositoryCheckController.java:255)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:83)
	at org.apache.maven.surefire.junit4.JUnit4Provider.execute(JUnit4Provider.java:234)
...

There is another one error in org.exoplatform.services.jcr.impl.core.query.TestQueryUsecases.testSimpleGetAll

junit.framework.AssertionFailedError: expected:<588> but was:<659>
	at junit.framework.Assert.fail(Assert.java:50)
	at junit.framework.Assert.failNotEquals(Assert.java:287)
	at junit.framework.Assert.assertEquals(Assert.java:67)
	at junit.framework.Assert.assertEquals(Assert.java:134)
	at junit.framework.Assert.assertEquals(Assert.java:140)
	at org.exoplatform.services.jcr.impl.core.query.TestQueryUsecases.testSimpleGetAll(TestQueryUsecases.java:96)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at junit.framework.TestCase.runBare(TestCase.java:134)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:83)
Comment 2 Thomas Heute 2013-07-02 05:25:11 EDT
Last time we were suspecting an environment issue (database setup), was this confirmed ?
Comment 3 mgottval 2013-07-02 09:00:12 EDT
Case-sensitivity, character-set were altered on database, this 2 errors remained. So it's probably not environment issue.
Comment 4 Dominik Pospisil 2013-11-13 09:26:06 EST
Verified (GA + 0day patch)
Comment 6 Peter Palaga 2014-11-25 10:14:31 EST
Just for the record, here are the two upstream Jiras: https://jira.exoplatform.org/browse/JCR-2195 fixed in eXo JCR 1.15.6-GA
https://jira.exoplatform.org/browse/JCR-2215 fixed in eXo JCR 1.16.0-Alpha2

Note You need to log in before you can comment on or make changes to this bug.